Bug 36409 - System preference name consistency - change EMail to Email for SerialsDefaultEMailAddress and AcquisitionsDefaultEMailAddress
Summary: System preference name consistency - change EMail to Email for SerialsDefault...
Status: Pushed to main
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: Main
Hardware: All All
: P5 - low trivial (vote)
Assignee: Emily Lamancusa
QA Contact: Testopia
URL:
Keywords:
Depends on: 35457
Blocks:
  Show dependency treegraph
 
Reported: 2024-03-23 00:17 UTC by David Nind
Modified: 2024-04-05 09:53 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
24.05.00


Attachments
Bug 36409: Dbrev for existing installations (2.01 KB, patch)
2024-03-27 15:11 UTC, Emily Lamancusa
Details | Diff | Splinter Review
Bug 36409: Fix capitalization for AcquisitionsDefaultEMailAddress and SerialsDefaultEMailAddress (8.16 KB, patch)
2024-03-27 15:11 UTC, Emily Lamancusa
Details | Diff | Splinter Review
Bug 36409: Dbrev for existing installations (2.06 KB, patch)
2024-03-27 16:54 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 36409: Fix capitalization for AcquisitionsDefaultEMailAddress and SerialsDefaultEMailAddress (8.22 KB, patch)
2024-03-27 16:54 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 36409: Dbrev for existing installations (2.12 KB, patch)
2024-04-01 13:28 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 36409: Fix capitalization for AcquisitionsDefaultEMailAddress and SerialsDefaultEMailAddress (8.28 KB, patch)
2024-04-01 13:28 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Nind 2024-03-23 00:17:06 UTC
As identified in Bug 35457 (see comment number 7), the SerialsDefaultEMailAddress and AcquisitionsDefaultEMailAddress system preference names have a capital m.

Other system preference that include 'Email' as part of their name don't have a capital m (such as KohaAdminEmailAddress - search for 'Email' in system preferences to find all occurrences).

The system preference names should be changed for consistency:
- SerialsDefaultEMailAddress --> SerialsDefaultEmailAddress
- AcquisitionsDefaultEMailAddress --> AcquisitionsDefaultEmailAddress
Comment 1 Emily Lamancusa 2024-03-27 15:11:28 UTC
Created attachment 164008 [details] [review]
Bug 36409: Dbrev for existing installations

Dbrev to change EMail to Email for SerialsDefaultEMailAddress and
AcquisitionsDefaultEMailAddress
Comment 2 Emily Lamancusa 2024-03-27 15:11:29 UTC
Created attachment 164009 [details] [review]
Bug 36409: Fix capitalization for AcquisitionsDefaultEMailAddress and SerialsDefaultEMailAddress

Replace all instances in files with correct capitalization for the
sysprefs:
SerialsDefaultEMailAddress
AcquisitionsDefaultEMailAddress

Test plan:
1. Apply patch
2. Run database update
3. Go to Administration > System Preferences > Acquisitions
-> Confirm correct capitalization for AcquisitionsDefaultEmailAddress
   (should be "Email", not "EMail")
4. Go to Administration > System Preferences > Serials
-> Confirm correct capitalization for SerialsDefaultEmailAddress
   (should be "Email", not "EMail")
5. Use git grep to confirm no remaining instances of "EMail" in the code
   (other than the new dbrev, original dbrev and original release notes)
   e.g. git grep --files-with-matches "EMail"
6. Confirm the test plan for Bug 20755 still works
Comment 3 Lucas Gass 2024-03-27 16:54:43 UTC
Created attachment 164013 [details] [review]
Bug 36409: Dbrev for existing installations

Dbrev to change EMail to Email for SerialsDefaultEMailAddress and
AcquisitionsDefaultEMailAddress

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 4 Lucas Gass 2024-03-27 16:54:45 UTC
Created attachment 164014 [details] [review]
Bug 36409: Fix capitalization for AcquisitionsDefaultEMailAddress and SerialsDefaultEMailAddress

Replace all instances in files with correct capitalization for the
sysprefs:
SerialsDefaultEMailAddress
AcquisitionsDefaultEMailAddress

Test plan:
1. Apply patch
2. Run database update
3. Go to Administration > System Preferences > Acquisitions
-> Confirm correct capitalization for AcquisitionsDefaultEmailAddress
   (should be "Email", not "EMail")
4. Go to Administration > System Preferences > Serials
-> Confirm correct capitalization for SerialsDefaultEmailAddress
   (should be "Email", not "EMail")
5. Use git grep to confirm no remaining instances of "EMail" in the code
   (other than the new dbrev, original dbrev and original release notes)
   e.g. git grep --files-with-matches "EMail"
6. Confirm the test plan for Bug 20755 still works

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 5 Nick Clemens 2024-04-01 13:28:28 UTC
Created attachment 164188 [details] [review]
Bug 36409: Dbrev for existing installations

Dbrev to change EMail to Email for SerialsDefaultEMailAddress and
AcquisitionsDefaultEMailAddress

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 6 Nick Clemens 2024-04-01 13:28:30 UTC
Created attachment 164189 [details] [review]
Bug 36409: Fix capitalization for AcquisitionsDefaultEMailAddress and SerialsDefaultEMailAddress

Replace all instances in files with correct capitalization for the
sysprefs:
SerialsDefaultEMailAddress
AcquisitionsDefaultEMailAddress

Test plan:
1. Apply patch
2. Run database update
3. Go to Administration > System Preferences > Acquisitions
-> Confirm correct capitalization for AcquisitionsDefaultEmailAddress
   (should be "Email", not "EMail")
4. Go to Administration > System Preferences > Serials
-> Confirm correct capitalization for SerialsDefaultEmailAddress
   (should be "Email", not "EMail")
5. Use git grep to confirm no remaining instances of "EMail" in the code
   (other than the new dbrev, original dbrev and original release notes)
   e.g. git grep --files-with-matches "EMail"
6. Confirm the test plan for Bug 20755 still works

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 7 Katrin Fischer 2024-04-05 09:53:04 UTC
Pushed for 24.05!

Well done everyone, thank you!